# Evaluation API: Answers

## GET /api/evaluation/attempts/{attempt}

> Retrieves one specific attempt

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"AttemptModel":{"type":"object","properties":{"attemptId":{"type":"string","format":"uuid"},"attemptNumber":{"type":"integer","format":"int32"},"formCode":{"type":"string","nullable":true},"formId":{"type":"string","format":"uuid"},"formName":{"type":"string","nullable":true},"organizationId":{"type":"string","format":"uuid"},"registrationId":{"type":"string","format":"uuid","nullable":true},"assessorUserId":{"type":"string","format":"uuid"},"gradingAssessorUserId":{"type":"string","format":"uuid","nullable":true},"learnerUserId":{"type":"string","format":"uuid"},"attemptGrade":{"type":"string","nullable":true},"attemptIsPassing":{"type":"boolean"},"attemptStatus":{"type":"string","nullable":true},"attemptTag":{"type":"string","nullable":true},"attemptDuration":{"type":"number","format":"double","nullable":true},"attemptPoints":{"type":"number","format":"double","nullable":true},"attemptScore":{"type":"number","format":"double","nullable":true},"formPoints":{"type":"number","format":"double","nullable":true},"activeQuestionIndex":{"type":"integer","format":"int32","nullable":true},"activeSectionIndex":{"type":"integer","format":"int32","nullable":true},"formSectionsCount":{"type":"integer","format":"int32","nullable":true},"sectionsAsTabsEnabled":{"type":"boolean"},"singleQuestionPerTabEnabled":{"type":"boolean"},"tabNavigationEnabled":{"type":"boolean"},"tabTimeLimit":{"type":"string","nullable":true},"attemptLanguage":{"type":"string","nullable":true},"attemptPingInterval":{"type":"integer","format":"int32","nullable":true},"attemptTimeLimit":{"type":"integer","format":"int32","nullable":true},"userAgent":{"type":"string","nullable":true},"attemptGraded":{"type":"string","format":"date-time","nullable":true},"attemptImported":{"type":"string","format":"date-time","nullable":true},"attemptPinged":{"type":"string","format":"date-time","nullable":true},"attemptStarted":{"type":"string","format":"date-time","nullable":true},"attemptSubmitted":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/evaluation/attempts/{attempt}":{"get":{"tags":["Evaluation API: Answers"],"summary":"Retrieves one specific attempt","operationId":"retrieveAttempt","parameters":[{"name":"attempt","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttemptModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/AttemptModel"}}}}}}}}}
```

## HEAD /api/evaluation/attempts/{attempt}

> Checks for the existence of one specific attempt

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}}},"paths":{"/api/evaluation/attempts/{attempt}":{"head":{"tags":["Evaluation API: Answers"],"summary":"Checks for the existence of one specific attempt","operationId":"assertAttempt","parameters":[{"name":"attempt","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}},"text/json":{"schema":{"type":"boolean"}}}}}}}}}
```

## POST /api/evaluation/attempts/collect

> Collects the list of attempts that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectAttempts":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"assessorUserId":{"type":"string","format":"uuid","nullable":true},"formId":{"type":"string","format":"uuid","nullable":true},"gradingAssessorUserId":{"type":"string","format":"uuid","nullable":true},"learnerUserId":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"registrationId":{"type":"string","format":"uuid","nullable":true},"attemptIsPassing":{"type":"boolean","nullable":true},"sectionsAsTabsEnabled":{"type":"boolean","nullable":true},"singleQuestionPerTabEnabled":{"type":"boolean","nullable":true},"tabNavigationEnabled":{"type":"boolean","nullable":true},"attemptGrade":{"type":"string","nullable":true},"attemptLanguage":{"type":"string","nullable":true},"attemptStatus":{"type":"string","nullable":true},"attemptTag":{"type":"string","nullable":true},"tabTimeLimit":{"type":"string","nullable":true},"userAgent":{"type":"string","nullable":true},"activeQuestionIndex":{"type":"integer","format":"int32","nullable":true},"activeSectionIndex":{"type":"integer","format":"int32","nullable":true},"attemptNumber":{"type":"integer","format":"int32","nullable":true},"attemptPingInterval":{"type":"integer","format":"int32","nullable":true},"attemptTimeLimit":{"type":"integer","format":"int32","nullable":true},"formSectionsCount":{"type":"integer","format":"int32","nullable":true},"attemptDuration":{"type":"number","format":"double","nullable":true},"attemptPoints":{"type":"number","format":"double","nullable":true},"attemptScore":{"type":"number","format":"double","nullable":true},"formPoints":{"type":"number","format":"double","nullable":true},"attemptGraded":{"type":"string","format":"date-time","nullable":true},"attemptImported":{"type":"string","format":"date-time","nullable":true},"attemptPinged":{"type":"string","format":"date-time","nullable":true},"attemptStarted":{"type":"string","format":"date-time","nullable":true},"attemptSubmitted":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"AttemptModel":{"type":"object","properties":{"attemptId":{"type":"string","format":"uuid"},"attemptNumber":{"type":"integer","format":"int32"},"formCode":{"type":"string","nullable":true},"formId":{"type":"string","format":"uuid"},"formName":{"type":"string","nullable":true},"organizationId":{"type":"string","format":"uuid"},"registrationId":{"type":"string","format":"uuid","nullable":true},"assessorUserId":{"type":"string","format":"uuid"},"gradingAssessorUserId":{"type":"string","format":"uuid","nullable":true},"learnerUserId":{"type":"string","format":"uuid"},"attemptGrade":{"type":"string","nullable":true},"attemptIsPassing":{"type":"boolean"},"attemptStatus":{"type":"string","nullable":true},"attemptTag":{"type":"string","nullable":true},"attemptDuration":{"type":"number","format":"double","nullable":true},"attemptPoints":{"type":"number","format":"double","nullable":true},"attemptScore":{"type":"number","format":"double","nullable":true},"formPoints":{"type":"number","format":"double","nullable":true},"activeQuestionIndex":{"type":"integer","format":"int32","nullable":true},"activeSectionIndex":{"type":"integer","format":"int32","nullable":true},"formSectionsCount":{"type":"integer","format":"int32","nullable":true},"sectionsAsTabsEnabled":{"type":"boolean"},"singleQuestionPerTabEnabled":{"type":"boolean"},"tabNavigationEnabled":{"type":"boolean"},"tabTimeLimit":{"type":"string","nullable":true},"attemptLanguage":{"type":"string","nullable":true},"attemptPingInterval":{"type":"integer","format":"int32","nullable":true},"attemptTimeLimit":{"type":"integer","format":"int32","nullable":true},"userAgent":{"type":"string","nullable":true},"attemptGraded":{"type":"string","format":"date-time","nullable":true},"attemptImported":{"type":"string","format":"date-time","nullable":true},"attemptPinged":{"type":"string","format":"date-time","nullable":true},"attemptStarted":{"type":"string","format":"date-time","nullable":true},"attemptSubmitted":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/evaluation/attempts/collect":{"post":{"tags":["Evaluation API: Answers"],"summary":"Collects the list of attempts that match specific criteria","operationId":"collectAttempts","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectAttempts"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectAttempts"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectAttempts"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectAttempts"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AttemptModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AttemptModel"}}}}}}}}}}
```

## POST /api/evaluation/attempts/count

> Counts the attempts that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountAttempts":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"assessorUserId":{"type":"string","format":"uuid","nullable":true},"formId":{"type":"string","format":"uuid","nullable":true},"gradingAssessorUserId":{"type":"string","format":"uuid","nullable":true},"learnerUserId":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"registrationId":{"type":"string","format":"uuid","nullable":true},"attemptIsPassing":{"type":"boolean","nullable":true},"sectionsAsTabsEnabled":{"type":"boolean","nullable":true},"singleQuestionPerTabEnabled":{"type":"boolean","nullable":true},"tabNavigationEnabled":{"type":"boolean","nullable":true},"attemptGrade":{"type":"string","nullable":true},"attemptLanguage":{"type":"string","nullable":true},"attemptStatus":{"type":"string","nullable":true},"attemptTag":{"type":"string","nullable":true},"tabTimeLimit":{"type":"string","nullable":true},"userAgent":{"type":"string","nullable":true},"activeQuestionIndex":{"type":"integer","format":"int32","nullable":true},"activeSectionIndex":{"type":"integer","format":"int32","nullable":true},"attemptNumber":{"type":"integer","format":"int32","nullable":true},"attemptPingInterval":{"type":"integer","format":"int32","nullable":true},"attemptTimeLimit":{"type":"integer","format":"int32","nullable":true},"formSectionsCount":{"type":"integer","format":"int32","nullable":true},"attemptDuration":{"type":"number","format":"double","nullable":true},"attemptPoints":{"type":"number","format":"double","nullable":true},"attemptScore":{"type":"number","format":"double","nullable":true},"formPoints":{"type":"number","format":"double","nullable":true},"attemptGraded":{"type":"string","format":"date-time","nullable":true},"attemptImported":{"type":"string","format":"date-time","nullable":true},"attemptPinged":{"type":"string","format":"date-time","nullable":true},"attemptStarted":{"type":"string","format":"date-time","nullable":true},"attemptSubmitted":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"count":{"type":"integer","format":"int32"},"summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/evaluation/attempts/count":{"post":{"tags":["Evaluation API: Answers"],"summary":"Counts the attempts that match specific criteria","operationId":"countAttempts","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountAttempts"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountAttempts"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountAttempts"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountAttempts"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/evaluation/attempts/download

> Downloads the list of attempts that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectAttempts":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"assessorUserId":{"type":"string","format":"uuid","nullable":true},"formId":{"type":"string","format":"uuid","nullable":true},"gradingAssessorUserId":{"type":"string","format":"uuid","nullable":true},"learnerUserId":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"registrationId":{"type":"string","format":"uuid","nullable":true},"attemptIsPassing":{"type":"boolean","nullable":true},"sectionsAsTabsEnabled":{"type":"boolean","nullable":true},"singleQuestionPerTabEnabled":{"type":"boolean","nullable":true},"tabNavigationEnabled":{"type":"boolean","nullable":true},"attemptGrade":{"type":"string","nullable":true},"attemptLanguage":{"type":"string","nullable":true},"attemptStatus":{"type":"string","nullable":true},"attemptTag":{"type":"string","nullable":true},"tabTimeLimit":{"type":"string","nullable":true},"userAgent":{"type":"string","nullable":true},"activeQuestionIndex":{"type":"integer","format":"int32","nullable":true},"activeSectionIndex":{"type":"integer","format":"int32","nullable":true},"attemptNumber":{"type":"integer","format":"int32","nullable":true},"attemptPingInterval":{"type":"integer","format":"int32","nullable":true},"attemptTimeLimit":{"type":"integer","format":"int32","nullable":true},"formSectionsCount":{"type":"integer","format":"int32","nullable":true},"attemptDuration":{"type":"number","format":"double","nullable":true},"attemptPoints":{"type":"number","format":"double","nullable":true},"attemptScore":{"type":"number","format":"double","nullable":true},"formPoints":{"type":"number","format":"double","nullable":true},"attemptGraded":{"type":"string","format":"date-time","nullable":true},"attemptImported":{"type":"string","format":"date-time","nullable":true},"attemptPinged":{"type":"string","format":"date-time","nullable":true},"attemptStarted":{"type":"string","format":"date-time","nullable":true},"attemptSubmitted":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/evaluation/attempts/download":{"post":{"tags":["Evaluation API: Answers"],"summary":"Downloads the list of attempts that match specific criteria","operationId":"downloadAttempts","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectAttempts"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectAttempts"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectAttempts"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectAttempts"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/evaluation/attempts/search

> Searches for the list of attempts that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchAttempts":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"assessorUserId":{"type":"string","format":"uuid","nullable":true},"formId":{"type":"string","format":"uuid","nullable":true},"gradingAssessorUserId":{"type":"string","format":"uuid","nullable":true},"learnerUserId":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"registrationId":{"type":"string","format":"uuid","nullable":true},"attemptIsPassing":{"type":"boolean","nullable":true},"sectionsAsTabsEnabled":{"type":"boolean","nullable":true},"singleQuestionPerTabEnabled":{"type":"boolean","nullable":true},"tabNavigationEnabled":{"type":"boolean","nullable":true},"attemptGrade":{"type":"string","nullable":true},"attemptLanguage":{"type":"string","nullable":true},"attemptStatus":{"type":"string","nullable":true},"attemptTag":{"type":"string","nullable":true},"tabTimeLimit":{"type":"string","nullable":true},"userAgent":{"type":"string","nullable":true},"activeQuestionIndex":{"type":"integer","format":"int32","nullable":true},"activeSectionIndex":{"type":"integer","format":"int32","nullable":true},"attemptNumber":{"type":"integer","format":"int32","nullable":true},"attemptPingInterval":{"type":"integer","format":"int32","nullable":true},"attemptTimeLimit":{"type":"integer","format":"int32","nullable":true},"formSectionsCount":{"type":"integer","format":"int32","nullable":true},"attemptDuration":{"type":"number","format":"double","nullable":true},"attemptPoints":{"type":"number","format":"double","nullable":true},"attemptScore":{"type":"number","format":"double","nullable":true},"formPoints":{"type":"number","format":"double","nullable":true},"attemptGraded":{"type":"string","format":"date-time","nullable":true},"attemptImported":{"type":"string","format":"date-time","nullable":true},"attemptPinged":{"type":"string","format":"date-time","nullable":true},"attemptStarted":{"type":"string","format":"date-time","nullable":true},"attemptSubmitted":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"AttemptMatch":{"type":"object","properties":{"attemptId":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/api/evaluation/attempts/search":{"post":{"tags":["Evaluation API: Answers"],"summary":"Searches for the list of attempts that match specific criteria","operationId":"searchAttempts","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchAttempts"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchAttempts"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchAttempts"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchAttempts"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AttemptMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AttemptMatch"}}}}}}}}}}
```
